Bug 75538 - GUI applet didn't show correct status
Summary: GUI applet didn't show correct status
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhn-applet (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-09 17:47 UTC by Ulrich Drepper
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-07 00:02:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ulrich Drepper 2002-10-09 17:47:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20020812

Description of problem:
When the GUI applet was restarted at a time when the RHN servers had severe
problems (2002-10-08) it (or the server side?) got stuck in the stage which is
described in the popup help as "Waiting until first checkin...".  The applet
never got beyond that and therefore never showed the availability of an errata.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
Hard to reproduce.

1.Screw up the RHN server as it happens in 2002-10-8 :-)
2.restart the GUI applet
3.
	

Actual Results:  Never got beyond initial checkin stage

Expected Results:  Applet should have aborted the checkin and retried it later.
 When the applet finally was aborted (by hand) and immediately restarted the
communication worked just fine.

Additional info:

Comment 1 Chip Turner 2002-11-05 00:27:58 UTC
we're looking into an errata for 8.0 that fixes the various error reporting
problems in the applet, including this one.

hopefully the servers will be more stable now, though... :)

Comment 2 Daniel Veillard 2002-11-07 13:48:45 UTC
Okay I commited a fix, this should hopefully close the bugs related
to recovery on connection errors.

Daniel

Comment 3 Ulrich Drepper 2003-10-07 00:02:13 UTC
Haven't seen this problem since.  If something like this pops up again it's
better to open a new bug.  Closing this one.


Note You need to log in before you can comment on or make changes to this bug.